libzypp 17.37.10

ztui::ansi::tty::EscapeSequence Class Reference

ANSI Escape sequences and their fallback if no tty. More...

`#include <zypp-tui/utils/ansi.h>`

## Public Member Functions
| EscapeSequence (const char *ansi_r, const char *fallback_r="")
const char * | str () const

## Private Attributes
const char * | _seq
const char * | _fbck

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const EscapeSequence &obj)
| stream output

## Detailed Description

ANSI Escape sequences and their fallback if no tty.

Definition at line 54 of file ansi.h.

## Constructor & Destructor Documentation

## ◆ EscapeSequence()

ztui::ansi::tty::EscapeSequence::EscapeSequence | ( | const char * | ansi_r,
|  | const char * | fallback_r = "" )
| inline

Definition at line 57 of file ansi.h.

## Member Function Documentation

## ◆ str()

const char * ztui::ansi::tty::EscapeSequence::str | ( |  | ) | const
| inline

Definition at line 62 of file ansi.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const EscapeSequence & | obj )
| related

stream output

Definition at line 79 of file ansi.h.

## Member Data Documentation

## ◆ _seq

const char* ztui::ansi::tty::EscapeSequence::_seq
| mutable private

Definition at line 74 of file ansi.h.

## ◆ _fbck

const char* ztui::ansi::tty::EscapeSequence::_fbck
| mutable private

Definition at line 75 of file ansi.h.

The documentation for this class was generated from the following file:

- zypp-tui/utils/ansi.h